Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Class CredentialRequestOptionsParameters.Builder

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.authn.CredentialRequestOptionsParameters.Builder

All Implemented Interfaces:
  `CredentialRequestOptionsParameters.IAllowCredentialsStage`, `CredentialRequestOptionsParameters.IBuildStage`, `CredentialRequestOptionsParameters.IChallengeStage`, `CredentialRequestOptionsParameters.IUserVerificationRequirementStage`

Enclosing class:
  CredentialRequestOptionsParameters

public static final class CredentialRequestOptionsParameters.Builder extends Object implements CredentialRequestOptionsParameters.IUserVerificationRequirementStage, CredentialRequestOptionsParameters.IChallengeStage, CredentialRequestOptionsParameters.IAllowCredentialsStage, CredentialRequestOptionsParameters.IBuildStage
Builder class.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor>`
`allowCredentials`
Credentials that have already been registered with the IdP.
`private byte[]`
`challenge`
The challenge sent to the authenticator in authentication ceremonies.
`private com.yubico.webauthn.data.UserVerificationRequirement`
`userVerificationRequirement`
Does the authentication/registration require user verification.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Builder()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`CredentialRequestOptionsParameters`
`build()`
Build the request options parameters.
`CredentialRequestOptionsParameters.IBuildStage`
`withAllowCredentials(List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> allowCreds)`
Credentials that have already been registered with the IdP.
`CredentialRequestOptionsParameters.IAllowCredentialsStage`
`withChallenge(byte[] challengeIn)`
The challenge sent to the authenticator in authentication ceremonies.
`CredentialRequestOptionsParameters.IChallengeStage`
`withUserVerificationRequirement(com.yubico.webauthn.data.UserVerificationRequirement uvRequirement)`
Does the authentication/registration require user verification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### userVerificationRequirement

private com.yubico.webauthn.data.UserVerificationRequirement userVerificationRequirement
Does the authentication/registration require user verification.

### challenge

private byte[] challenge
The challenge sent to the authenticator in authentication ceremonies.

### allowCredentials

private List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> allowCredentials
Credentials that have already been registered with the IdP.

## Constructor Details

### Builder

private Builder()
Constructor.

## Method Details

### withUserVerificationRequirement

public CredentialRequestOptionsParameters.IChallengeStage withUserVerificationRequirement(@Nonnull com.yubico.webauthn.data.UserVerificationRequirement uvRequirement)
Description copied from interface: `CredentialRequestOptionsParameters.IUserVerificationRequirementStage`
Does the authentication/registration require user verification.

Specified by:
  `withUserVerificationRequirement` in interface `CredentialRequestOptionsParameters.IUserVerificationRequirementStage`
Parameters:
  `uvRequirement` - the requirement
Returns:
  the next stage

### withChallenge

public CredentialRequestOptionsParameters.IAllowCredentialsStage withChallenge(@Nonnull byte[] challengeIn)
Description copied from interface: `CredentialRequestOptionsParameters.IChallengeStage`
The challenge sent to the authenticator in authentication ceremonies.

Specified by:
  `withChallenge` in interface `CredentialRequestOptionsParameters.IChallengeStage`
Parameters:
  `challengeIn` - the challenge
Returns:
  the next stage

### withAllowCredentials

public CredentialRequestOptionsParameters.IBuildStage withAllowCredentials(@Nonnull List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> allowCreds)
Description copied from interface: `CredentialRequestOptionsParameters.IAllowCredentialsStage`
Credentials that have already been registered with the IdP.

Specified by:
  `withAllowCredentials` in interface `CredentialRequestOptionsParameters.IAllowCredentialsStage`
Parameters:
  `allowCreds` - the credentials to allow
Returns:
  the next stage

### build

public CredentialRequestOptionsParameters build()
Description copied from interface: `CredentialRequestOptionsParameters.IBuildStage`
Build the request options parameters.

Specified by:
  `build` in interface `CredentialRequestOptionsParameters.IBuildStage`
Returns:
  the parameters